export default{
  data(){
    return {
      activeNames: [],
    };
  },
  watch:{
    pagedata(){
      this.init();
    }
  },
  methods:{
    init(){
      var activeNames=[];
      this.pagedata.record.forEach((item,index)=>{
        activeNames.push(index+'');
      });
      this.activeNames=activeNames;
    },
    add(){
      onez.onEvent({
        token:'page',
        action:'/helps/edit.php',
        option:{
          width:560,
          height:520,
          title:'编辑帮助中心'
        }
      },this);
    },
    edit(item){
      onez.onEvent({
        token:'page',
        action:'/helps/edit.php?id='+item.id,
        option:{
          width:560,
          height:520,
          title:'编辑帮助中心'
        }
      },this);
    },
    del(item){
      onez.confirm('确定要删除这条记录吗？',()=>{
        this.post({ac:'delete',id:item.id},()=>{
          this.$root.reload();
        });
      });
    }
  }
}